
/* Relationship tree on info pages */

.relationtree_intro{
	font-size:large;
	text-align:center;
	font-weight:bold;
	padding: 15px;
	background-color:olive;

}
.relationtree{	
	border:4px double black;
	font-size:medium;
	font-family: verdana;
}
.relationtree img{	
	margin-inline:25%;
	margin-block:45px;
	border:3px solid black;
}



/* flex boxes for drawing the tree */

.tree_main{
	display:flex;	
	background-color:goldenrod;
	width:100%;
	justify-content: center; 
	flex-direction: column;
			
}	
.tree_main > div{
	display:flex;
	justify-content:center;
	width:auto;
	align-self:center;
	
}

.tree_main div > div {
	margin-top:10px;
	margin-bottom:10px;
	margin-right:10px;
  }

.person {
	border:4px solid black;
	background-color:white;
	margin-left:10px;
	
	
	
}
.name {
	text-align: center;
	font-weight: bold;
	font-size:medium;
	margin-left:10px;
	
}
.first_person {
	border:4px solid black;
	background-color:white;
	margin-left:50%;
	
}
.spouse::before {
	content:" ";
	position:absolute;
	margin-top:1.5em;
	margin-left:-2.1em;
	width:2em;
	height:1px;
	align-self:center;
	border-top:4px solid black;
}
.spouse{
	background-color: lightpink;
}

.paternal::after {
	content:" ";
	position:absolute;
	margin-top:2px;
	margin-left:3em;
	width:1px;
	height:2em;
	align-self:center;
	border-left:3px solid black;
  }
.sibling {
	background-color:rgb(194, 198, 202);
	border:4px solid black;
}
